import type { Ref } from 'vue'
import { ref } from 'vue'
import { defineStore } from 'pinia'

export const useAppStore = defineStore('app', () => {
  const altchaPayload: Ref<string | null> = ref(null)

  const setAltchaPayload = (value: string | null) => {
    altchaPayload.value = value
  }

  return {
    altchaPayload,
    setAltchaPayload
  }
})